Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.webservice
Class SFTPWSConfiguration

    java.lang.Object
      com.stc.connector.batchadapter.webservice.SFTPWSConfiguration

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class SFTPWSConfiguration

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`SFTPWSConfiguration()`

Method Summary
`java.lang.String` | `getAuthType()`
`int` | `getBlockSize()`
`int` | `getBufferSize()`
`boolean` | `getFirewallEnabled()`
`java.lang.String` | `getFirewallPassword()`
`int` | `getFirewallPort()`
`java.lang.String` | `getFirewallServer()`
`java.lang.String` | `getFirewallUser()`
`java.lang.String` | `getHostKeyVerification()`
`java.lang.String` | `getKeyFileLoc()`
`java.lang.String` | `getKeyFilePassphrase()`
`java.lang.String` | `getLocalDir()`
`java.lang.String` | `getLocalFile()`
`PostTransferParams` | `getPostTransfer()`
`java.lang.String` | `getPreferredPubKeyAlg()`
`PreTransferParams` | `getPreTransfer()`
`java.lang.String` | `getRemoteDir()`
`java.lang.String` | `getRemoteEOL()`
`java.lang.String` | `getRemoteFile()`
`java.lang.String` | `getRemoteHost()`
`java.lang.String` | `getServerPKFile()`
`java.lang.String` | `getSocksVersion()`
`java.lang.String` | `getSSHHost()`
`java.lang.String` | `getSSHPassword()`
`int` | `getSSHPort()`
`java.lang.String` | `getSSHUser()`
`int` | `getTransferMode()`
`boolean` | `hasAuthType()`
`boolean` | `hasBlockSize()`
`boolean` | `hasBufferSize()`
`boolean` | `hasDoHostKeyVerification()`
`boolean` | `hasKeyFileLoc()`
`boolean` | `hasLocalDir()`
`boolean` | `hasLocalFile()`
`boolean` | `hasPassphrase()`
`boolean` | `hasPostTransfer()`
`boolean` | `hasPreferredPubKeyAlg()`
`boolean` | `hasPreTransfer()`
`boolean` | `hasRemoteDir()`
`boolean` | `hasRemoteEOL()`
`boolean` | `hasRemoteFile()`
`boolean` | `hasRemoteHost()`
`boolean` | `hasServerPKFile()`
`boolean` | `hasSOCKSEnabled()`
`boolean` | `hasSOCKSHost()`
`boolean` | `hasSOCKSPassword()`
`boolean` | `hasSOCKSPort()`
`boolean` | `hasSOCKSUser()`
`boolean` | `hasSOCKSVersion()`
`boolean` | `hasSSHHost()`
`boolean` | `hasSSHPassword()`
`boolean` | `hasSSHPort()`
`boolean` | `hasSSHUser()`
`boolean` | `hasTransferMode()`
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restores this message.
`void` | `setAuthType(java.lang.String s)`
`void` | `setBlockSize(int i)`
`void` | `setBufferSize(int i)`
`void` | `setFirewallEnabled(boolean b)`
`void` | `setFirewallPassword(java.lang.String s)`
`void` | `setFirewallPort(int i)`
`void` | `setFirewallServer(java.lang.String s)`
`void` | `setFirewallUser(java.lang.String s)`
`void` | `setHostKeyVerification(java.lang.String s)`
`void` | `setKeyFileLoc(java.lang.String s)`
`void` | `setKeyFilePassphrase(java.lang.String s)`
`void` | `setLocalDir(java.lang.String s)`
`void` | `setLocalFile(java.lang.String s)`
`void` | `setPostTransfer(PostTransferParams p)`
`void` | `setPreferredPubKeyAlg(java.lang.String s)`
`void` | `setPreTransfer(PreTransferParams p)`
`void` | `setRemoteDir(java.lang.String s)`
`void` | `setRemoteEOL(java.lang.String s)`
`void` | `setRemoteFile(java.lang.String s)`
`void` | `setRemoteHost(java.lang.String s)`
`void` | `setServerPKFile(java.lang.String s)`
`void` | `setSocksVersion(java.lang.String s)`
`void` | `setSSHHost(java.lang.String s)`
`void` | `setSSHPassword(java.lang.String s)`
`void` | `setSSHPort(int s)`
`void` | `setSSHUser(java.lang.String s)`
`void` | `setTransferMode(int i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SFTPWSConfiguration

    public SFTPWSConfiguration()

Method Detail

### getFirewallServer

    public java.lang.String getFirewallServer()

### setFirewallPort

    public void setFirewallPort(int i)

### getFirewallPort

    public int getFirewallPort()

### setFirewallServer

    public void setFirewallServer(java.lang.String s)

### getFirewallUser

    public java.lang.String getFirewallUser()

### setFirewallUser

    public void setFirewallUser(java.lang.String s)

### getFirewallPassword

    public java.lang.String getFirewallPassword()

### setFirewallPassword

    public void setFirewallPassword(java.lang.String s)

### getFirewallEnabled

    public boolean getFirewallEnabled()

### setFirewallEnabled

    public void setFirewallEnabled(boolean b)

### getSSHUser

    public java.lang.String getSSHUser()

### setSSHUser

    public void setSSHUser(java.lang.String s)

### getSSHPassword

    public java.lang.String getSSHPassword()

### setSSHPassword

    public void setSSHPassword(java.lang.String s)

### getKeyFilePassphrase

    public java.lang.String getKeyFilePassphrase()

### setKeyFilePassphrase

    public void setKeyFilePassphrase(java.lang.String s)

### getAuthType

    public java.lang.String getAuthType()

### setAuthType

    public void setAuthType(java.lang.String s)

### getBufferSize

    public int getBufferSize()

### getBlockSize

    public int getBlockSize()

### setBufferSize

    public void setBufferSize(int i)

### setBlockSize

    public void setBlockSize(int i)

### getTransferMode

    public int getTransferMode()

### setTransferMode

    public void setTransferMode(int i)

### getSocksVersion

    public java.lang.String getSocksVersion()

### setSocksVersion

    public void setSocksVersion(java.lang.String s)

### getServerPKFile

    public java.lang.String getServerPKFile()

### setServerPKFile

    public void setServerPKFile(java.lang.String s)

### getRemoteHost

    public java.lang.String getRemoteHost()

### setRemoteHost

    public void setRemoteHost(java.lang.String s)

### getHostKeyVerification

    public java.lang.String getHostKeyVerification()

### setHostKeyVerification

    public void setHostKeyVerification(java.lang.String s)

### getSSHHost

    public java.lang.String getSSHHost()

### setSSHHost

    public void setSSHHost(java.lang.String s)

### hasSSHHost

    public boolean hasSSHHost()

### getSSHPort

    public int getSSHPort()

### setSSHPort

    public void setSSHPort(int s)

### hasSSHPort

    public boolean hasSSHPort()

### hasTransferMode

    public boolean hasTransferMode()

### hasPostTransfer

    public boolean hasPostTransfer()

### hasPreTransfer

    public boolean hasPreTransfer()

### hasSSHPassword

    public boolean hasSSHPassword()

### hasSOCKSHost

    public boolean hasSOCKSHost()

### hasSOCKSPort

    public boolean hasSOCKSPort()

### hasSSHUser

    public boolean hasSSHUser()

### hasSOCKSPassword

    public boolean hasSOCKSPassword()

### getRemoteEOL

    public java.lang.String getRemoteEOL()

### setRemoteEOL

    public void setRemoteEOL(java.lang.String s)

### hasRemoteEOL

    public boolean hasRemoteEOL()

### hasBufferSize

    public boolean hasBufferSize()

### hasBlockSize

    public boolean hasBlockSize()

### hasAuthType

    public boolean hasAuthType()

### hasSOCKSEnabled

    public boolean hasSOCKSEnabled()

### hasDoHostKeyVerification

    public boolean hasDoHostKeyVerification()

### hasPassphrase

    public boolean hasPassphrase()

### hasRemoteHost

    public boolean hasRemoteHost()

### hasServerPKFile

    public boolean hasServerPKFile()

### hasSOCKSUser

    public boolean hasSOCKSUser()

### hasSOCKSVersion

    public boolean hasSOCKSVersion()

### getKeyFileLoc

    public java.lang.String getKeyFileLoc()

### setKeyFileLoc

    public void setKeyFileLoc(java.lang.String s)

### hasKeyFileLoc

    public boolean hasKeyFileLoc()

### getRemoteDir

    public java.lang.String getRemoteDir()

### setRemoteDir

    public void setRemoteDir(java.lang.String s)

### hasRemoteDir

    public boolean hasRemoteDir()

### getRemoteFile

    public java.lang.String getRemoteFile()

### setRemoteFile

    public void setRemoteFile(java.lang.String s)

### hasRemoteFile

    public boolean hasRemoteFile()

### getLocalDir

    public java.lang.String getLocalDir()

### setLocalDir

    public void setLocalDir(java.lang.String s)

### hasLocalDir

    public boolean hasLocalDir()

### getLocalFile

    public java.lang.String getLocalFile()

### setLocalFile

    public void setLocalFile(java.lang.String s)

### hasLocalFile

    public boolean hasLocalFile()

### hasPreferredPubKeyAlg

    public boolean hasPreferredPubKeyAlg()

### getPreferredPubKeyAlg

    public java.lang.String getPreferredPubKeyAlg()

### setPreferredPubKeyAlg

    public void setPreferredPubKeyAlg(java.lang.String s)

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutput to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restores this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

### getPostTransfer

    public PostTransferParams getPostTransfer()

### setPostTransfer

    public void setPostTransfer(PostTransferParams p)

### getPreTransfer

    public PreTransferParams getPreTransfer()

### setPreTransfer

    public void setPreTransfer(PreTransferParams p)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD